ECHO OFF
CLS
:MENU
CLS
ECHO.
ECHO This little batch file helps using cURL to check whether the workstation can reach the URLs needed for QAWeb Enterprise
ECHO ...............................................
ECHO PRESS 1, 2 OR 3 to select your task, or 4 to EXIT.
ECHO ...............................................
ECHO.
ECHO 1 - All checks
ECHO 2 - check https://qaweb.healthcare.barco.com
ECHO 3 - check https://qawebapi.healthcare.barco.com
ECHO 4 - check https://auth.healthcare.barco.com
ECHO 5 - check https://qawebdata.healthcare.barco.com
ECHO 6 - check https://a3n9amleodurj6-ats.iot.eu-west-1.amazonaws.com
ECHO 7 - check https://documentation-qaweb.healthcare.barco.com
ECHO 8 - EXIT

ECHO.
SET /P M=Type 1 through 8 then press ENTER:
IF %M%==1 GOTO ALL
IF %M%==2 GOTO QAWEB
IF %M%==3 GOTO QAWEBAPI
IF %M%==4 GOTO AUTH
IF %M%==5 GOTO QAWEBDATA
IF %M%==6 GOTO IOT
IF %M%==7 GOTO DOCUMENTATION
IF %M%==8 GOTO EOF

:VERIFYMESSAGE
ECHO ...............................................
ECHO SCROLL UP AND VERIFY CORRECT CONNECTIONS
ECHO Connection to IP address should be OK and SSL certicate verify OK should be returned
ECHO .
ECHO Note that it's perfectly fine to receive some HTTP 404 responses
ECHO because this tool is just used to check reaching the destination port and SSL certicate
ECHO ...............................................
PAUSE
GOTO MENU

:ALL
curl.exe -Iv https://qaweb.healthcare.barco.com
curl.exe -Iv https://qawebapi.healthcare.barco.com
curl.exe -Iv https://auth.healthcare.barco.com
curl.exe -Iv https://qawebdata.healthcare.barco.com
curl.exe -Iv https://a3n9amleodurj6-ats.iot.eu-west-1.amazonaws.com
curl.exe -Iv https://documentation-qaweb.healthcare.barco.com

GOTO VERIFYMESSAGE



:QAWEB
curl.exe -Iv https://qaweb.healthcare.barco.com
GOTO VERIFYMESSAGE

:QAWEBAPI
curl.exe -Iv https://qawebapi.healthcare.barco.com
GOTO VERIFYMESSAGE

:AUTH
curl.exe -Iv https://auth.healthcare.barco.com
GOTO VERIFYMESSAGE

:QAWEBDATA
curl.exe -Iv https://qawebdata.healthcare.barco.com
GOTO VERIFYMESSAGE

:IOT
curl.exe -Iv https://a3n9amleodurj6-ats.iot.eu-west-1.amazonaws.com
GOTO VERIFYMESSAGE

:DOCUMENTATION
curl.exe -Iv https://documentation-qaweb.healthcare.barco.com
GOTO VERIFYMESSAGE

:EOF


